package com.yeejoin.amos.boot.module.elevator.biz.service.impl;

import com.yeejoin.amos.boot.module.elevator.biz.utils.RedisUtil;
import com.yeejoin.amos.component.robot.AmosRequestContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.foundation.context.RequestContext;

@Service
public class StartPlatformTokenService {


    @Autowired
    RedisUtil redisUtil;

    @Autowired
    AmosRequestContext amosRequestContext;

    public void getToken() {
        RequestContext.setProduct(amosRequestContext.getProduct());
        RequestContext.setAppKey(amosRequestContext.getAppKey());
        RequestContext.setToken(amosRequestContext.getToken());
    }
}
